| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
pfm_i386_p6_sel_reg_t Union Reference

`#include <src/component/perfmon/pfmlib_i386_p6.h>`

## Public Attributes
unsigned long | val
struct {
unsigned long sel_event_mask:8
unsigned long sel_unit_mask:8
unsigned long sel_usr:1
unsigned long sel_os:1
unsigned long sel_edge:1
unsigned long sel_pc:1
unsigned long sel_int:1
unsigned long sel_res1:1
unsigned long sel_en:1
unsigned long sel_inv:1
unsigned long sel_cnt_mask:8
} | perfsel

## Detailed Description

Definition at line 52 of file pfmlib_i386_p6.h.

## Member Data Documentation

struct { ... } pfm_i386_p6_sel_reg_t::perfsel

unsigned long pfm_i386_p6_sel_reg_t::sel_cnt_mask

Definition at line 65 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_edge

Definition at line 59 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_en

Definition at line 63 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_event_mask

Definition at line 55 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_int

Definition at line 61 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_inv

Definition at line 64 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_os

Definition at line 58 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_pc

Definition at line 60 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_res1

Definition at line 62 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_unit_mask

Definition at line 56 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::sel_usr

Definition at line 57 of file pfmlib_i386_p6.h.

unsigned long pfm_i386_p6_sel_reg_t::val

Definition at line 53 of file pfmlib_i386_p6.h.

The documentation for this union was generated from the following file:

- GaudiProfiling/src/component/perfmon/pfmlib_i386_p6.h